|  | Home | Documentation | httpstreams.h File Reference updated by Robert van Engelen |

Classes | Macros | Functions | Variables
httpstreams.h File Reference
`#include "stdsoap2.h"`
`#include "threads.h"`
Include dependency graph for httpstreams.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | soap_http_shared_streams
struct | soap_http_stream_state

## Macros

#define | HTTP_STREAMS_ID "SOAP-HTTP-STREAMS/1.0" /* plugin identification */

## Functions

SOAP_FMAC1 struct soap_http_shared_streams *SOAP_FMAC2 | soap_new_http_streams (int max_host, int max_open)
SOAP_FMAC1 void SOAP_FMAC2 | soap_free_http_streams (struct soap_http_shared_streams *hub)
SOAP_FMAC1 void SOAP_FMAC2 | soap_http_streams_max_host (int max_host)
SOAP_FMAC1 void SOAP_FMAC2 | soap_http_streams_max_open (int max_open)
SOAP_FMAC1 int SOAP_FMAC2 | http_streams (struct soap *soap, struct soap_plugin *plugin, void *arg)
SOAP_FMAC1 int SOAP_FMAC2 | soap_http_streams_stream_id (struct soap *soap)

## Variables

const char | http_streams_id []

## Macro Definition Documentation

## ◆ HTTP_STREAMS_ID

#define HTTP_STREAMS_ID "SOAP-HTTP-STREAMS/1.0" /* plugin identification */

## Function Documentation

## ◆ http_streams()

SOAP_FMAC1 int SOAP_FMAC2 http_streams | ( | struct soap * | soap,
|  | struct soap_plugin * | plugin,
|  | void * | arg )

## ◆ soap_free_http_streams()

SOAP_FMAC1 void SOAP_FMAC2 soap_free_http_streams | ( | struct soap_http_shared_streams * | hub | ) |

## ◆ soap_http_streams_max_host()

SOAP_FMAC1 void SOAP_FMAC2 soap_http_streams_max_host | ( | int | max_host | ) |

## ◆ soap_http_streams_max_open()

SOAP_FMAC1 void SOAP_FMAC2 soap_http_streams_max_open | ( | int | max_open | ) |

## ◆ soap_http_streams_stream_id()

SOAP_FMAC1 int SOAP_FMAC2 soap_http_streams_stream_id | ( | struct soap * | soap | ) |

## ◆ soap_new_http_streams()

SOAP_FMAC1 struct soap_http_shared_streams *SOAP_FMAC2 soap_new_http_streams | ( | int | max_host,
|  | int | max_open )

## Variable Documentation

## ◆ http_streams_id

const char http_streams_id[]

extern